Bug 168569 - [PATCH] www/py-requests: update to 0.13.0 - de-eggify - Fix DEPENDS
[PATCH] www/py-requests: update to 0.13.0 - de-eggify - Fix DEPENDS
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Tom Judge
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 15:00 UTC by koobs.freebsd
Modified: 2012-07-28 17:11 UTC (History)
1 user (show)

See Also:


Attachments
py27-requests-0.13.0.patch (14.13 KB, patch)
2012-06-02 15:00 UTC, koobs.freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koobs.freebsd 2012-06-02 15:00:30 UTC
- Update to 0.13.0
- Remove gevent dependency, requests.async has been removed in favour of grequests (www/py-grequests)
- Patch setup.py to use distutils instead of eggy setuptools - YAY
- Add proper pkg-plist accordingly
- Add net/py-oauthlib to RUN_DEPENDS (requests.auth now uses this instead of oauth_hook)
- Remove unecessary patches (urllib3 has still been patched correctly)
- Remove post-patch target bits
- Changes tested against requests tests/* suite
- `port test` clean

Changes: https://github.com/kennethreitz/requests/blob/develop/HISTORY.rst#0130-2012-05-29

Added file(s):
- files/patch-requests__models.py
- files/patch-requests__safe_mode.py
- files/patch-requests__sessions.py
- pkg-plist

Removed file(s):
- files/patch-requests.egg-info_SOURCES.txt
- files/patch-requests_compat.py
- files/patch-requests_models.py
- files/patch-requests_packages___init__.py
- files/patch-requests_sessions.py

Port maintainer (duchateau.olivier@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 koobs.freebsd 2012-06-02 15:10:02 UTC
This depends on ports/168461 - Though, only RUN_DEPENDS, for
requests.auth module functionality, which has been broken since the
0.12.0 update for this port anyway. Do as you please :)

py27-requests-0.13.0 tests/* suite output (after installation)

./test_cookies.py
...............
----------------------------------------------------------------------
Ran 15 tests in 31.097s

OK

./test_requests.py
.............................................................
----------------------------------------------------------------------
Ran 61 tests in 77.406s

OK

 ./test_requests_ext.py
...........
----------------------------------------------------------------------
Ran 11 tests in 18.433s

OK

 ./test_requests_https.py
..
----------------------------------------------------------------------
Ran 2 tests in 2.657s

OK
Comment 2 Tom Judge freebsd_committer 2012-06-02 15:17:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tj

I'll take it.
Comment 3 koobs.freebsd 2012-07-11 12:11:43 UTC
>Submitter-Id:	current-users
>Originator:	Kubilay Kocak
>Organization:	
>Confidential:	no 
>Synopsis:	Re: ports/168569: Original changes, Update to 0.13.2, more
>Severity:	non-critical
>Priority:	low
>Category:	ports 
>Class:		update
>Release:	FreeBSD 9.0-RELEASE-p3 amd64
>Environment:
System: FreeBSD freebsd-90-amd64 9.0-RELEASE-p3 FreeBSD 9.0-RELEASE-p3 #0: Sat Jul  7 21:26:56 EST
>Description:
- Update to 0.13.2
- Remove gevent dependency, requests.async has been removed in favour of grequests (www/py-grequests)
- Add proper pkg-plist accordingly
- Add net/py-oauthlib to RUN_DEPENDS (requests.auth now uses this instead of oauth_hook)
- Remove unecessary patches
- Remove post-patch target bits
- Remove LICENSE_FILE for those in bsd.licenses.db.mk
- Add zip_safe=False to setup.py to install an uncompressed egg
- Un-unbundle urllib3, and chardet (upstream bundles these and makes local mods)
- Remove urllib3 and chardet from {BUILD,RUN}_DEPENDS accordingly.
- Remove "unbundle" patches accordingly.

QA:
- `port test` clean
- Changes tested against requests tests/* suite
- Redports clean (https://redports.org/buildarchive/20120711103905-51185/)

Added file(s):
- pkg-plist

Removed file(s):
- files/patch-requests.egg-info_SOURCES.txt
- files/patch-requests_compat.py
- files/patch-requests_models.py
- files/patch-requests_packages___init__.py
- files/patch-requests_sessions.py

Port maintainer (duchateau.olivier@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
>How-To-Repeat:
>Fix:

--- py27-requests-0.13.2.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/www/py-requests/Makefile ./Makefile
--- /usr/ports/www/py-requests/Makefile	2012-05-22 19:24:47.000000000 +1000
+++ ./Makefile	2012-07-11 19:57:43.000000000 +1000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	requests
-PORTVERSION=	0.12.1
+PORTVERSION=	0.13.2
 CATEGORIES=	www python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -15,24 +15,11 @@
 COMMENT=	Requests is an elegant and simple HTTP library for Python
 
 LICENSE=	ISCL
-LICENSE_FILE=	${WRKSRC}/LICENSE
 
-BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}urllib3>=1.2:${PORTSDIR}/net/py-urllib3
-RUN_DEPENDS=	${PYTHON_SITELIBDIR}/gevent/__init__.py:${PORTSDIR}/devel/py-gevent \
-		${PYTHON_SITELIBDIR}/certifi/__init__.py:${PORTSDIR}/security/py-certify \
-		${PYTHON_PKGNAMEPREFIX}urllib3>=1.2:${PORTSDIR}/net/py-urllib3 \
-		${PYTHON_PKGNAMEPREFIX}chardet>=2.0.1:${PORTSDIR}/textproc/py-chardet
+RUN_DEPENDS=	${PYTHON_SITELIBDIR}/certifi/__init__.py:${PORTSDIR}/security/py-certify \
+		${PYTHON_PKGNAMEPREFIX}oauthlib>=0.1.0:${PORTSDIR}/security/py-oauthlib
 
 USE_PYTHON=	2.6-3.1
 USE_PYDISTUTILS=	easy_install
 
-REINPLACE_ARGS=	-i ""
-
-PLIST_FILES=	%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
-
-post-patch:
-	@${FIND} ${WRKSRC} -type f -name '*.orig' -exec ${RM} -f \{\} \;
-	@${FIND} ${WRKSRC} -type f -name '*.py' | \
-		${XARGS} ${REINPLACE_CMD} 's|is_linux|is_freebsd|g'
-
 .include <bsd.port.mk>
diff -ruN --exclude=CVS /usr/ports/www/py-requests/distinfo ./distinfo
--- /usr/ports/www/py-requests/distinfo	2012-05-22 19:24:47.000000000 +1000
+++ ./distinfo	2012-07-11 19:10:53.000000000 +1000
@@ -1,2 +1,2 @@
-SHA256 (requests-0.12.1.tar.gz) = 9ce56b87180c06728d96ca734055675abf8f5cc3136e0d7712a6260430685589
-SIZE (requests-0.12.1.tar.gz) = 78245
+SHA256 (requests-0.13.2.tar.gz) = 37684324da8aca40e88fa2f7faa526cc116d74e979c2ac5d9119fe6e1bb5ced5
+SIZE (requests-0.13.2.tar.gz) = 514484
diff -ruN --exclude=CVS /usr/ports/www/py-requests/files/patch-requests.egg-info_SOURCES.txt ./files/patch-requests.egg-info_SOURCES.txt
--- /usr/ports/www/py-requests/files/patch-requests.egg-info_SOURCES.txt	2012-04-10 16:41:20.000000000 +1000
+++ ./files/patch-requests.egg-info_SOURCES.txt	1970-01-01 10:00:00.000000000 +1000
@@ -1,20 +0,0 @@
---- requests.egg-info/SOURCES.txt.orig	2012-03-31 05:47:55.000000000 +0200
-+++ requests.egg-info/SOURCES.txt	2012-04-01 12:01:46.000000000 +0200
-@@ -27,16 +27,3 @@
- requests/packages/oreos/core.py
- requests/packages/oreos/monkeys.py
- requests/packages/oreos/structures.py
--requests/packages/urllib3/__init__.py
--requests/packages/urllib3/_collections.py
--requests/packages/urllib3/connectionpool.py
--requests/packages/urllib3/exceptions.py
--requests/packages/urllib3/filepost.py
--requests/packages/urllib3/poolmanager.py
--requests/packages/urllib3/request.py
--requests/packages/urllib3/response.py
--requests/packages/urllib3/util.py
--requests/packages/urllib3/packages/__init__.py
--requests/packages/urllib3/packages/six.py
--requests/packages/urllib3/packages/mimetools_choose_boundary/__init__.py
--requests/packages/urllib3/packages/ssl_match_hostname/__init__.py
-\ No newline at end of file
diff -ruN --exclude=CVS /usr/ports/www/py-requests/files/patch-requests_compat.py ./files/patch-requests_compat.py
--- /usr/ports/www/py-requests/files/patch-requests_compat.py	2012-04-10 16:41:20.000000000 +1000
+++ ./files/patch-requests_compat.py	1970-01-01 10:00:00.000000000 +1000
@@ -1,13 +0,0 @@
---- requests/compat.py.orig	2012-02-15 09:48:23.000000000 +0100
-+++ requests/compat.py	2012-03-19 17:40:30.000000000 +0100
-@@ -66,8 +66,8 @@
- # Windows-based system.
- is_windows = 'win32' in str(sys.platform).lower()
- 
--# Standard Linux 2+ system.
--is_linux = ('linux' in str(sys.platform).lower())
-+# Standard system.
-+is_linux = ('freebsd' in str(sys.platform).lower())
- is_osx = ('darwin' in str(sys.platform).lower())
- is_hpux = ('hpux' in str(sys.platform).lower())   # Complete guess.
- is_solaris = ('solar==' in str(sys.platform).lower())   # Complete guess.
diff -ruN --exclude=CVS /usr/ports/www/py-requests/files/patch-requests_models.py ./files/patch-requests_models.py
--- /usr/ports/www/py-requests/files/patch-requests_models.py	2012-05-22 19:24:47.000000000 +1000
+++ ./files/patch-requests_models.py	1970-01-01 10:00:00.000000000 +1000
@@ -1,15 +0,0 @@
---- requests/models.py.orig	2012-05-08 07:13:56.000000000 +0200
-+++ requests/models.py	2012-05-19 13:33:03.000000000 +0200
-@@ -17,12 +17,6 @@
- 
- from .auth import HTTPBasicAuth, HTTPProxyAuth
- from .cookies import cookiejar_from_dict, extract_cookies_to_jar, get_cookie_header
--from .packages.urllib3.response import HTTPResponse
--from .packages.urllib3.exceptions import MaxRetryError, LocationParseError
--from .packages.urllib3.exceptions import SSLError as _SSLError
--from .packages.urllib3.exceptions import HTTPError as _HTTPError
--from .packages.urllib3 import connectionpool, poolmanager
--from .packages.urllib3.filepost import encode_multipart_formdata
- from .defaults import SCHEMAS
- from .exceptions import (
-     ConnectionError, HTTPError, RequestException, Timeout, TooManyRedirects,
diff -ruN --exclude=CVS /usr/ports/www/py-requests/files/patch-requests_packages___init__.py ./files/patch-requests_packages___init__.py
--- /usr/ports/www/py-requests/files/patch-requests_packages___init__.py	2012-03-04 23:56:25.000000000 +1100
+++ ./files/patch-requests_packages___init__.py	1970-01-01 10:00:00.000000000 +1000
@@ -1,7 +0,0 @@
---- requests/packages/__init__.py.orig	2011-12-06 23:55:15.000000000 +0100
-+++ requests/packages/__init__.py	2012-01-12 18:46:03.000000000 +0100
-@@ -1,3 +1,3 @@
- from __future__ import absolute_import
- 
--from . import urllib3
-+#from . import urllib3
diff -ruN --exclude=CVS /usr/ports/www/py-requests/files/patch-requests_sessions.py ./files/patch-requests_sessions.py
--- /usr/ports/www/py-requests/files/patch-requests_sessions.py	2012-03-04 23:56:25.000000000 +1100
+++ ./files/patch-requests_sessions.py	1970-01-01 10:00:00.000000000 +1000
@@ -1,11 +0,0 @@
---- requests/sessions.py.orig	2011-12-28 10:51:45.000000000 +0100
-+++ requests/sessions.py	2012-01-12 23:30:39.000000000 +0100
-@@ -13,7 +13,7 @@
- from .models import Request
- from .hooks import dispatch_hook
- from .utils import header_expand
--from .packages.urllib3.poolmanager import PoolManager
-+from urllib3.poolmanager import PoolManager
- 
- 
- def merge_kwargs(local_kwarg, default_kwarg):
diff -ruN --exclude=CVS /usr/ports/www/py-requests/files/patch-setup.py ./files/patch-setup.py
--- /usr/ports/www/py-requests/files/patch-setup.py	2012-05-22 19:24:47.000000000 +1000
+++ ./files/patch-setup.py	2012-07-11 20:16:18.000000000 +1000
@@ -1,54 +1,28 @@
---- setup.py.orig	2012-05-08 06:56:28.000000000 +0200
-+++ setup.py	2012-05-19 13:42:13.000000000 +0200
-@@ -11,7 +11,7 @@
- from requests.compat import is_py3
+--- ./setup.py.orig	2012-06-29 10:34:59.000000000 +1000
++++ ./setup.py	2012-07-11 20:16:15.000000000 +1000
+@@ -25,11 +25,6 @@
  
- try:
--    from setuptools import setup
-+    from setuptools import setup, find_packages
-     # hush pyflakes
-     setup
- except ImportError:
-@@ -21,31 +21,8 @@
-     os.system('python setup.py sdist upload')
-     sys.exit()
- 
--packages = [
--    'requests',
--    'requests.packages',
--    'requests.packages.urllib3',
--    'requests.packages.urllib3.packages',
--    'requests.packages.urllib3.packages.ssl_match_hostname',
--    'requests.packages.urllib3.packages.mimetools_choose_boundary',
--]
--
--# certifi is a Python package containing a CA certificate bundle for SSL verification.
--# On certain supported platforms (e.g., Red Hat / Debian / FreeBSD), Requests can
--# use the system CA bundle instead; see `requests.utils` for details.
--# If your platform is supported, set `requires` to [] instead:
--requires = ['certifi>=0.0.7']
--
--# chardet is used to optimally guess the encodings of pages that don't declare one.
--# At this time, chardet is not a required dependency. However, it's sufficiently
--# important that pip/setuptools should install it when it's unavailable.
--if is_py3:
--    chardet_package = 'chardet2'
--else:
--    chardet_package = 'chardet>=1.0.0'
--    requires.append('oauthlib>=0.1.0,<0.2.0')
--
--requires.append(chardet_package)
-+# FreeBSD ports tree, provides only chardet2
-+requires = ['certifi>=0.0.7', 'chardet>=2.0.0']
- 
- # The async API in requests.async requires the gevent package.
- # This is also not a required dependency.
-@@ -62,7 +39,7 @@
-     author='Kenneth Reitz',
-     author_email='me@kennethreitz.com',
-     url='http://python-requests.org',
--    packages=packages,
-+    packages=find_packages(exclude=['requests.packages.url*']),
-     package_data={'': ['LICENSE', 'NOTICE']},
+ if is_py2:
+     packages.extend([
+-        'requests.packages.oauthlib',
+-        'requests.packages.oauthlib.oauth1',
+-        'requests.packages.oauthlib.oauth1.rfc5849',
+-        'requests.packages.oauthlib.oauth2',
+-        'requests.packages.oauthlib.oauth2.draft25',
+         'requests.packages.chardet',
+     ])
+ else:
+@@ -50,6 +45,7 @@
+     package_data={'': ['LICENSE', 'NOTICE'], 'requests': ['*.pem']},
+     package_dir={'requests': 'requests'},
      include_package_data=True,
++    exclude_package_data={'': ['oauthlib/*']},
      install_requires=requires,
+     license=open('LICENSE').read(),
+     classifiers=(
+@@ -64,4 +60,5 @@
+         'Programming Language :: Python :: 3.0',
+         'Programming Language :: Python :: 3.1',
+     ),
++    zip_safe=False,
+ )
diff -ruN --exclude=CVS /usr/ports/www/py-requests/pkg-plist ./pkg-plist
--- /usr/ports/www/py-requests/pkg-plist	1970-01-01 10:00:00.000000000 +1000
+++ ./pkg-plist	2012-07-11 20:21:27.000000000 +1000
@@ -0,0 +1,316 @@
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/_oauth.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/_oauth.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/_oauth.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/api.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/api.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/api.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/async.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/async.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/async.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/auth.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/auth.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/auth.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/cacert.pem
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/certs.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/certs.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/certs.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/compat.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/compat.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/compat.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/cookies.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/cookies.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/cookies.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/defaults.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/defaults.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/defaults.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/exceptions.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/exceptions.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/exceptions.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/hooks.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/hooks.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/hooks.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/models.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/models.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/models.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5freq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5freq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5freq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/chardistribution.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/chardistribution.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/chardistribution.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/codingstatemachine.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/codingstatemachine.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/codingstatemachine.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/constants.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/constants.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/constants.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escsm.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escsm.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escsm.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/eucjpprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/eucjpprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/eucjpprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312freq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312freq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312freq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/hebrewprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/hebrewprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/hebrewprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jisfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jisfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jisfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jpcntx.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jpcntx.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jpcntx.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langbulgarianmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langbulgarianmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langbulgarianmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langcyrillicmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langcyrillicmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langcyrillicmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langgreekmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langgreekmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langgreekmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhebrewmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhebrewmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhebrewmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhungarianmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhungarianmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhungarianmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langthaimodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langthaimodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langthaimodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/latin1prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/latin1prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/latin1prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcharsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcharsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcharsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcsgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcsgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcsgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcssm.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcssm.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcssm.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcharsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcharsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcharsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcsgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcsgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcsgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sjisprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sjisprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sjisprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/universaldetector.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/universaldetector.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/universaldetector.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/utf8prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/utf8prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/utf8prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5freq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5freq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5freq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/chardistribution.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/chardistribution.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/chardistribution.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/codingstatemachine.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/codingstatemachine.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/codingstatemachine.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/constants.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/constants.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/constants.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escsm.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escsm.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escsm.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/eucjpprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/eucjpprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/eucjpprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312freq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312freq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312freq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/hebrewprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/hebrewprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/hebrewprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jisfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jisfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jisfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jpcntx.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jpcntx.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jpcntx.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langbulgarianmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langbulgarianmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langbulgarianmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langcyrillicmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langcyrillicmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langcyrillicmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langgreekmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langgreekmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langgreekmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhebrewmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhebrewmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhebrewmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhungarianmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhungarianmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhungarianmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langthaimodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langthaimodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langthaimodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/latin1prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/latin1prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/latin1prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcharsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcharsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcharsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcsgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcsgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcsgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcssm.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcssm.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcssm.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcharsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcharsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcharsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcsgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcsgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcsgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sjisprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sjisprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sjisprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/test.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/universaldetector.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/universaldetector.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/universaldetector.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/utf8prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/utf8prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/utf8prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/_collections.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/_collections.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/_collections.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/connectionpool.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/connectionpool.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/connectionpool.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/exceptions.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/exceptions.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/exceptions.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/filepost.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/filepost.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/filepost.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/six.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/six.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/six.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/ssl_match_hostname/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/ssl_match_hostname/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/ssl_match_hostname/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/poolmanager.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/poolmanager.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/poolmanager.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/request.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/request.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/request.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/response.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/response.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/response.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/util.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/util.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/util.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/safe_mode.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/safe_mode.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/safe_mode.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/sessions.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/sessions.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/sessions.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/status_codes.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/status_codes.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/status_codes.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/structures.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/structures.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/structures.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/utils.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/utils.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/utils.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/ssl_match_hostname
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
--- py27-requests-0.13.2.patch ends here ---
Comment 4 koobs.freebsd 2012-07-14 07:05:36 UTC
>Submitter-Id:	current-users
>Originator:	Kubilay Kocak
>Organization:	
>Confidential:	no 
>Synopsis:	Re: ports/168569: Update to 0.13.2 + lots more
>Severity:	non-critical
>Priority:	low
>Category:	ports 
>Class:		update
>Release:	FreeBSD 9.0-RELEASE-p3 amd64
>Environment:
System: FreeBSD freebsd-90-amd64 9.0-RELEASE-p3 FreeBSD 9.0-RELEASE-p3 #0: Sat Jul  7 21:26:56 EST
>Description:
- Update to 0.13.2
- Remove gevent dependency, requests.async has been removed in favour of grequests (www/py-grequests)
- Add proper pkg-plist accordingly
- Add security/py-oauthlib to RUN_DEPENDS (requests.auth now uses this instead of oauth_hook)
- Remove unecessary patches
- Remove post-patch target bits
- Remove LICENSE_FILE for those in bsd.licenses.db.mk
- Un-unbundle urllib3, and chardet (upstream bundles these and makes local mods)
- Remove urllib3 and chardet from {BUILD,RUN}_DEPENDS accordingly.
- Remove "unbundle" patches accordingly.
=============
- `port test` clean
- Changes tested against requests tests/* suite
- Redports clean (https://redports.org/buildarchive/20120711103905-51185/)

Added file(s):
- pkg-plist

Removed file(s):
- files/patch-requests.egg-info_SOURCES.txt
- files/patch-requests_compat.py
- files/patch-requests_models.py
- files/patch-requests_packages___init__.py
- files/patch-requests_sessions.py

Port maintainer (duchateau.olivier@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
>How-To-Repeat:
>Fix:

--- py27-requests-0.13.2.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/www/py-requests/Makefile ./Makefile
--- /usr/ports/www/py-requests/Makefile	2012-05-22 19:24:47.000000000 +1000
+++ ./Makefile	2012-07-11 19:57:43.000000000 +1000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	requests
-PORTVERSION=	0.12.1
+PORTVERSION=	0.13.2
 CATEGORIES=	www python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -15,24 +15,11 @@
 COMMENT=	Requests is an elegant and simple HTTP library for Python
 
 LICENSE=	ISCL
-LICENSE_FILE=	${WRKSRC}/LICENSE
 
-BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}urllib3>=1.2:${PORTSDIR}/net/py-urllib3
-RUN_DEPENDS=	${PYTHON_SITELIBDIR}/gevent/__init__.py:${PORTSDIR}/devel/py-gevent \
-		${PYTHON_SITELIBDIR}/certifi/__init__.py:${PORTSDIR}/security/py-certify \
-		${PYTHON_PKGNAMEPREFIX}urllib3>=1.2:${PORTSDIR}/net/py-urllib3 \
-		${PYTHON_PKGNAMEPREFIX}chardet>=2.0.1:${PORTSDIR}/textproc/py-chardet
+RUN_DEPENDS=	${PYTHON_SITELIBDIR}/certifi/__init__.py:${PORTSDIR}/security/py-certify \
+		${PYTHON_PKGNAMEPREFIX}oauthlib>=0.1.0:${PORTSDIR}/security/py-oauthlib
 
 USE_PYTHON=	2.6-3.1
 USE_PYDISTUTILS=	easy_install
 
-REINPLACE_ARGS=	-i ""
-
-PLIST_FILES=	%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
-
-post-patch:
-	@${FIND} ${WRKSRC} -type f -name '*.orig' -exec ${RM} -f \{\} \;
-	@${FIND} ${WRKSRC} -type f -name '*.py' | \
-		${XARGS} ${REINPLACE_CMD} 's|is_linux|is_freebsd|g'
-
 .include <bsd.port.mk>
diff -ruN --exclude=CVS /usr/ports/www/py-requests/distinfo ./distinfo
--- /usr/ports/www/py-requests/distinfo	2012-05-22 19:24:47.000000000 +1000
+++ ./distinfo	2012-07-11 19:10:53.000000000 +1000
@@ -1,2 +1,2 @@
-SHA256 (requests-0.12.1.tar.gz) = 9ce56b87180c06728d96ca734055675abf8f5cc3136e0d7712a6260430685589
-SIZE (requests-0.12.1.tar.gz) = 78245
+SHA256 (requests-0.13.2.tar.gz) = 37684324da8aca40e88fa2f7faa526cc116d74e979c2ac5d9119fe6e1bb5ced5
+SIZE (requests-0.13.2.tar.gz) = 514484
diff -ruN --exclude=CVS /usr/ports/www/py-requests/files/patch-requests.egg-info_SOURCES.txt ./files/patch-requests.egg-info_SOURCES.txt
--- /usr/ports/www/py-requests/files/patch-requests.egg-info_SOURCES.txt	2012-04-10 16:41:20.000000000 +1000
+++ ./files/patch-requests.egg-info_SOURCES.txt	1970-01-01 10:00:00.000000000 +1000
@@ -1,20 +0,0 @@
---- requests.egg-info/SOURCES.txt.orig	2012-03-31 05:47:55.000000000 +0200
-+++ requests.egg-info/SOURCES.txt	2012-04-01 12:01:46.000000000 +0200
-@@ -27,16 +27,3 @@
- requests/packages/oreos/core.py
- requests/packages/oreos/monkeys.py
- requests/packages/oreos/structures.py
--requests/packages/urllib3/__init__.py
--requests/packages/urllib3/_collections.py
--requests/packages/urllib3/connectionpool.py
--requests/packages/urllib3/exceptions.py
--requests/packages/urllib3/filepost.py
--requests/packages/urllib3/poolmanager.py
--requests/packages/urllib3/request.py
--requests/packages/urllib3/response.py
--requests/packages/urllib3/util.py
--requests/packages/urllib3/packages/__init__.py
--requests/packages/urllib3/packages/six.py
--requests/packages/urllib3/packages/mimetools_choose_boundary/__init__.py
--requests/packages/urllib3/packages/ssl_match_hostname/__init__.py
-\ No newline at end of file
diff -ruN --exclude=CVS /usr/ports/www/py-requests/files/patch-requests_compat.py ./files/patch-requests_compat.py
--- /usr/ports/www/py-requests/files/patch-requests_compat.py	2012-04-10 16:41:20.000000000 +1000
+++ ./files/patch-requests_compat.py	1970-01-01 10:00:00.000000000 +1000
@@ -1,13 +0,0 @@
---- requests/compat.py.orig	2012-02-15 09:48:23.000000000 +0100
-+++ requests/compat.py	2012-03-19 17:40:30.000000000 +0100
-@@ -66,8 +66,8 @@
- # Windows-based system.
- is_windows = 'win32' in str(sys.platform).lower()
- 
--# Standard Linux 2+ system.
--is_linux = ('linux' in str(sys.platform).lower())
-+# Standard system.
-+is_linux = ('freebsd' in str(sys.platform).lower())
- is_osx = ('darwin' in str(sys.platform).lower())
- is_hpux = ('hpux' in str(sys.platform).lower())   # Complete guess.
- is_solaris = ('solar==' in str(sys.platform).lower())   # Complete guess.
diff -ruN --exclude=CVS /usr/ports/www/py-requests/files/patch-requests_models.py ./files/patch-requests_models.py
--- /usr/ports/www/py-requests/files/patch-requests_models.py	2012-05-22 19:24:47.000000000 +1000
+++ ./files/patch-requests_models.py	1970-01-01 10:00:00.000000000 +1000
@@ -1,15 +0,0 @@
---- requests/models.py.orig	2012-05-08 07:13:56.000000000 +0200
-+++ requests/models.py	2012-05-19 13:33:03.000000000 +0200
-@@ -17,12 +17,6 @@
- 
- from .auth import HTTPBasicAuth, HTTPProxyAuth
- from .cookies import cookiejar_from_dict, extract_cookies_to_jar, get_cookie_header
--from .packages.urllib3.response import HTTPResponse
--from .packages.urllib3.exceptions import MaxRetryError, LocationParseError
--from .packages.urllib3.exceptions import SSLError as _SSLError
--from .packages.urllib3.exceptions import HTTPError as _HTTPError
--from .packages.urllib3 import connectionpool, poolmanager
--from .packages.urllib3.filepost import encode_multipart_formdata
- from .defaults import SCHEMAS
- from .exceptions import (
-     ConnectionError, HTTPError, RequestException, Timeout, TooManyRedirects,
diff -ruN --exclude=CVS /usr/ports/www/py-requests/files/patch-requests_packages___init__.py ./files/patch-requests_packages___init__.py
--- /usr/ports/www/py-requests/files/patch-requests_packages___init__.py	2012-03-04 23:56:25.000000000 +1100
+++ ./files/patch-requests_packages___init__.py	1970-01-01 10:00:00.000000000 +1000
@@ -1,7 +0,0 @@
---- requests/packages/__init__.py.orig	2011-12-06 23:55:15.000000000 +0100
-+++ requests/packages/__init__.py	2012-01-12 18:46:03.000000000 +0100
-@@ -1,3 +1,3 @@
- from __future__ import absolute_import
- 
--from . import urllib3
-+#from . import urllib3
diff -ruN --exclude=CVS /usr/ports/www/py-requests/files/patch-requests_sessions.py ./files/patch-requests_sessions.py
--- /usr/ports/www/py-requests/files/patch-requests_sessions.py	2012-03-04 23:56:25.000000000 +1100
+++ ./files/patch-requests_sessions.py	1970-01-01 10:00:00.000000000 +1000
@@ -1,11 +0,0 @@
---- requests/sessions.py.orig	2011-12-28 10:51:45.000000000 +0100
-+++ requests/sessions.py	2012-01-12 23:30:39.000000000 +0100
-@@ -13,7 +13,7 @@
- from .models import Request
- from .hooks import dispatch_hook
- from .utils import header_expand
--from .packages.urllib3.poolmanager import PoolManager
-+from urllib3.poolmanager import PoolManager
- 
- 
- def merge_kwargs(local_kwarg, default_kwarg):
diff -ruN --exclude=CVS /usr/ports/www/py-requests/files/patch-setup.py ./files/patch-setup.py
--- /usr/ports/www/py-requests/files/patch-setup.py	2012-05-22 19:24:47.000000000 +1000
+++ ./files/patch-setup.py	2012-07-11 20:16:18.000000000 +1000
@@ -1,54 +1,28 @@
---- setup.py.orig	2012-05-08 06:56:28.000000000 +0200
-+++ setup.py	2012-05-19 13:42:13.000000000 +0200
-@@ -11,7 +11,7 @@
- from requests.compat import is_py3
+--- ./setup.py.orig	2012-06-29 10:34:59.000000000 +1000
++++ ./setup.py	2012-07-11 20:16:15.000000000 +1000
+@@ -25,11 +25,6 @@
  
- try:
--    from setuptools import setup
-+    from setuptools import setup, find_packages
-     # hush pyflakes
-     setup
- except ImportError:
-@@ -21,31 +21,8 @@
-     os.system('python setup.py sdist upload')
-     sys.exit()
- 
--packages = [
--    'requests',
--    'requests.packages',
--    'requests.packages.urllib3',
--    'requests.packages.urllib3.packages',
--    'requests.packages.urllib3.packages.ssl_match_hostname',
--    'requests.packages.urllib3.packages.mimetools_choose_boundary',
--]
--
--# certifi is a Python package containing a CA certificate bundle for SSL verification.
--# On certain supported platforms (e.g., Red Hat / Debian / FreeBSD), Requests can
--# use the system CA bundle instead; see `requests.utils` for details.
--# If your platform is supported, set `requires` to [] instead:
--requires = ['certifi>=0.0.7']
--
--# chardet is used to optimally guess the encodings of pages that don't declare one.
--# At this time, chardet is not a required dependency. However, it's sufficiently
--# important that pip/setuptools should install it when it's unavailable.
--if is_py3:
--    chardet_package = 'chardet2'
--else:
--    chardet_package = 'chardet>=1.0.0'
--    requires.append('oauthlib>=0.1.0,<0.2.0')
--
--requires.append(chardet_package)
-+# FreeBSD ports tree, provides only chardet2
-+requires = ['certifi>=0.0.7', 'chardet>=2.0.0']
- 
- # The async API in requests.async requires the gevent package.
- # This is also not a required dependency.
-@@ -62,7 +39,7 @@
-     author='Kenneth Reitz',
-     author_email='me@kennethreitz.com',
-     url='http://python-requests.org',
--    packages=packages,
-+    packages=find_packages(exclude=['requests.packages.url*']),
-     package_data={'': ['LICENSE', 'NOTICE']},
+ if is_py2:
+     packages.extend([
+-        'requests.packages.oauthlib',
+-        'requests.packages.oauthlib.oauth1',
+-        'requests.packages.oauthlib.oauth1.rfc5849',
+-        'requests.packages.oauthlib.oauth2',
+-        'requests.packages.oauthlib.oauth2.draft25',
+         'requests.packages.chardet',
+     ])
+ else:
+@@ -50,6 +45,7 @@
+     package_data={'': ['LICENSE', 'NOTICE'], 'requests': ['*.pem']},
+     package_dir={'requests': 'requests'},
      include_package_data=True,
++    exclude_package_data={'': ['oauthlib/*']},
      install_requires=requires,
+     license=open('LICENSE').read(),
+     classifiers=(
+@@ -64,4 +60,5 @@
+         'Programming Language :: Python :: 3.0',
+         'Programming Language :: Python :: 3.1',
+     ),
++    zip_safe=False,
+ )
diff -ruN --exclude=CVS /usr/ports/www/py-requests/pkg-plist ./pkg-plist
--- /usr/ports/www/py-requests/pkg-plist	1970-01-01 10:00:00.000000000 +1000
+++ ./pkg-plist	2012-07-11 20:21:27.000000000 +1000
@@ -0,0 +1,316 @@
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/_oauth.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/_oauth.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/_oauth.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/api.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/api.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/api.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/async.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/async.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/async.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/auth.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/auth.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/auth.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/cacert.pem
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/certs.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/certs.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/certs.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/compat.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/compat.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/compat.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/cookies.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/cookies.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/cookies.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/defaults.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/defaults.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/defaults.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/exceptions.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/exceptions.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/exceptions.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/hooks.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/hooks.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/hooks.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/models.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/models.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/models.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5freq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5freq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5freq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/big5prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/chardistribution.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/chardistribution.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/chardistribution.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/charsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/codingstatemachine.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/codingstatemachine.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/codingstatemachine.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/constants.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/constants.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/constants.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escsm.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escsm.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/escsm.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/eucjpprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/eucjpprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/eucjpprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euckrprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/euctwprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312freq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312freq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312freq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/gb2312prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/hebrewprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/hebrewprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/hebrewprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jisfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jisfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jisfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jpcntx.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jpcntx.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/jpcntx.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langbulgarianmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langbulgarianmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langbulgarianmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langcyrillicmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langcyrillicmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langcyrillicmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langgreekmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langgreekmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langgreekmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhebrewmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhebrewmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhebrewmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhungarianmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhungarianmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langhungarianmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langthaimodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langthaimodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/langthaimodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/latin1prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/latin1prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/latin1prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcharsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcharsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcharsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcsgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcsgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcsgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcssm.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcssm.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/mbcssm.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcharsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcharsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcharsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcsgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcsgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sbcsgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sjisprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sjisprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/sjisprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/universaldetector.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/universaldetector.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/universaldetector.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/utf8prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/utf8prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet/utf8prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5freq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5freq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5freq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/big5prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/chardistribution.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/chardistribution.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/chardistribution.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/charsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/codingstatemachine.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/codingstatemachine.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/codingstatemachine.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/constants.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/constants.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/constants.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escsm.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escsm.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/escsm.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/eucjpprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/eucjpprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/eucjpprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euckrprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/euctwprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312freq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312freq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312freq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/gb2312prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/hebrewprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/hebrewprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/hebrewprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jisfreq.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jisfreq.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jisfreq.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jpcntx.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jpcntx.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/jpcntx.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langbulgarianmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langbulgarianmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langbulgarianmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langcyrillicmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langcyrillicmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langcyrillicmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langgreekmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langgreekmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langgreekmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhebrewmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhebrewmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhebrewmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhungarianmodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhungarianmodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langhungarianmodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langthaimodel.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langthaimodel.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/langthaimodel.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/latin1prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/latin1prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/latin1prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcharsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcharsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcharsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcsgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcsgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcsgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcssm.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcssm.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/mbcssm.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcharsetprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcharsetprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcharsetprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcsgroupprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcsgroupprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sbcsgroupprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sjisprober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sjisprober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/sjisprober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/test.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/universaldetector.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/universaldetector.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/universaldetector.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/utf8prober.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/utf8prober.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2/utf8prober.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/_collections.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/_collections.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/_collections.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/connectionpool.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/connectionpool.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/connectionpool.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/exceptions.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/exceptions.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/exceptions.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/filepost.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/filepost.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/filepost.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/six.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/six.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/six.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/ssl_match_hostname/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/ssl_match_hostname/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/ssl_match_hostname/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/poolmanager.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/poolmanager.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/poolmanager.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/request.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/request.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/request.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/response.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/response.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/response.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/util.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/util.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/util.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/safe_mode.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/safe_mode.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/safe_mode.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/sessions.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/sessions.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/sessions.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/status_codes.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/status_codes.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/status_codes.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/structures.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/structures.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/structures.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/utils.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/utils.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/utils.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages/ssl_match_hostname
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3/packages
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/urllib3
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet2
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages/chardet
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests/packages
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/requests
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
--- py27-requests-0.13.2.patch ends here ---
Comment 5 duchateau.olivier 2012-07-18 20:27:59 UTC
It's ok for me, (all version).

Would you like to take maintainership ?

-- 
olivier
Comment 6 koobs.freebsd 2012-07-28 03:51:59 UTC
Can close this PR

Deprecated by ports/170226 which includes maintainer update as per
follow-up and additional version bumps

Thanking you kindly Olivier
Comment 7 Ruslan Makhmatkhanov freebsd_committer 2012-07-28 17:11:56 UTC
State Changed
From-To: open->closed

Superseded by ports/170226